#!/bin/sh
export PATH='/usr/lib/distcc/bin:/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: pipes
version: 4.3.5
id: pipes-4.3.5-EP7uCdFYWHu39wHQ9REWtE
key: pipes-4.3.5-EP7uCdFYWHu39wHQ9REWtE
license: BSD3
copyright: 2012-2016 Gabriel Gonzalez
maintainer: Gabriel439@gmail.com
synopsis: Compositional pipelines
description:
    `pipes` is a clean and powerful stream processing library that lets you build
    and connect reusable streaming components
    .
    Advantages over traditional streaming libraries:
    .
    * /Concise API/: Use simple commands like '\''for'\'', ('\''>->'\''), '\''await'\'', and '\''yield'\''
    .
    * /Blazing fast/: Implementation tuned for speed, including shortcut fusion
    .
    * /Lightweight Dependency/: @pipes@ is small and compiles very rapidly,
    including dependencies
    .
    * /Elegant semantics/: Use practical category theory
    .
    * /ListT/: Correct implementation of '\''ListT'\'' that interconverts with pipes
    .
    * /Bidirectionality/: Implement duplex channels
    .
    * /Extensive Documentation/: Second to none!
    .
    Import "Pipes" to use the library.
    .
    Read "Pipes.Tutorial" for an extensive tutorial.
category: Control, Pipes
author: Gabriel Gonzalez
exposed: True
indefinite: False
exposed-modules:
    Pipes Pipes.Core Pipes.Internal Pipes.Lift Pipes.Prelude
    Pipes.Tutorial
abi: 3d5787cd6d3e2b5e63a8adb6f014404d
trusted: False
import-dirs: /usr/lib/ghc-8.2.1/site-local/pipes-4.3.5
library-dirs: /usr/lib/ghc-8.2.1/site-local/pipes-4.3.5
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/arm-linux-ghc-8.2.1/pipes-4.3.5
hs-libraries: HSpipes-4.3.5-EP7uCdFYWHu39wHQ9REWtE
depends:
    base-4.10.0.0 transformers-0.5.2.0
    exceptions-0.8.3-BkxQoXHQAbWGd28nf3VeZ6
    mmorph-1.1.0-37w2Q5ydIlk2ujAQgXDANa
    mtl-2.2.1-19EL8AGBsN3DnnOhrC9xY3 void-0.7.2-KNNEd7XG9bDRysTndgnf2
    semigroups-0.18.3-6KPIVJcHqOOBHjBl8WA5LP
abi-depends: base-4.10.0.0=32d562aa6d04d35ac79a0f49c17325ff
             transformers-0.5.2.0=9705988bf0172d3bbbcdcaf65e1d842a
             exceptions-0.8.3-BkxQoXHQAbWGd28nf3VeZ6=62278cb6808dfdd4ea4dbd9b537b44e9
             mmorph-1.1.0-37w2Q5ydIlk2ujAQgXDANa=406e096230c5fbb5ae076bd1631e635d
             mtl-2.2.1-19EL8AGBsN3DnnOhrC9xY3=5531911f09693672654e6de645ce55e7
             void-0.7.2-KNNEd7XG9bDRysTndgnf2=17ec282264751cc765759d5ebe13c331
             semigroups-0.18.3-6KPIVJcHqOOBHjBl8WA5LP=7bc502c1773a3f628e3db58cb706740b
haddock-interfaces: /usr/share/doc/haskell-pipes/html/pipes.haddock
haddock-html: /usr/share/doc/haskell-pipes/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

